SimpleTargetedChain (Axis API)
Keywords: org.apache.axis.SimpleTargetedChain class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class SimpleTargetedChain

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.SimpleChain
              org.apache.axis.SimpleTargetedChain

All Implemented Interfaces:
  Chain, Handler, java.io.Serializable, TargetedChain

Direct Known Subclasses:
  SOAPService, Transport

public class SimpleTargetedChain
extends SimpleChain
implements TargetedChain

A SimpleTargetedChain has a request handler, a pivot handler, and a response handler (any of which may themselves be chains).

Author:
  Doug Davis (dug@us.ibm.com), Glyn Normington (norm@uk.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`protected Handler` | `pivotHandler`
`protected Handler` | `requestHandler`
`protected Handler` | `responseHandler`

Fields inherited from class org.apache.axis.SimpleChain
`handlers, invoked`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`SimpleTargetedChain()` Default no-arg constructor.
`SimpleTargetedChain(Handler handler)` Constructor for an instance with effectively only a pivot handler.
`SimpleTargetedChain(Handler reqHandler, Handler pivHandler, Handler respHandler)` Constructor which takes real or null request, pivot, and response handlers.

Method Summary
`Handler` | `getPivotHandler()` Returns the Pivot Handler.
`Handler` | `getRequestHandler()` Returns the Request handler.
`Handler` | `getResponseHandler()` Returns the Response Handler.
`protected void` | `init(Handler reqHandler, Handler specialReqHandler, Handler pivHandler, Handler specialRespHandler, Handler respHandler)` Initialiser which takes real or null request, pivot, and response handlers and which allows for special request and response handlers to be inserted just before and after any pivot handler.

Methods inherited from class org.apache.axis.SimpleChain
`addHandler, canHandleBlock, cleanup, contains, generateWSDL, getDeploymentData, getHandlers, init, invoke, onFault`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.Chain
`addHandler, contains, getHandlers`

Methods inherited from interface org.apache.axis.Handler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, invoke, onFault, setName, setOption, setOptions`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### requestHandler

    protected Handler requestHandler

### pivotHandler

    protected Handler pivotHandler

### responseHandler

    protected Handler responseHandler

Constructor Detail

### SimpleTargetedChain

    public SimpleTargetedChain()

  Default no-arg constructor.

### SimpleTargetedChain

    public SimpleTargetedChain(Handler handler)

  Constructor for an instance with effectively only a pivot handler.

Parameters:
  `handler` - the `Handler` to use

### SimpleTargetedChain

    public SimpleTargetedChain(Handler reqHandler,
                               Handler pivHandler,
                               Handler respHandler)

  Constructor which takes real or null request, pivot, and response handlers.

Method Detail

### init

    protected void init(Handler reqHandler,
                        Handler specialReqHandler,
                        Handler pivHandler,
                        Handler specialRespHandler,
                        Handler respHandler)

  Initialiser which takes real or null request, pivot, and response handlers and which allows for special request and response handlers to be inserted just before and after any pivot handler.

  Parameters:
    `reqHandler` - the request `Handler`
    `specialReqHandler` - the special request `Handler`
    `pivHandler` - the pivot `Handler`
    `specialRespHandler` - the special response `Handler`
    `respHandler` - the response `Handler`

### getRequestHandler

    public Handler getRequestHandler()

  Description copied from interface: `TargetedChain`
  Returns the Request handler.

  Specified by:
    `getRequestHandler` in interface `TargetedChain`
  Returns:
    the request `Handler`

### getPivotHandler

    public Handler getPivotHandler()

  Description copied from interface: `TargetedChain`
  Returns the Pivot Handler.

  Specified by:
    `getPivotHandler` in interface `TargetedChain`
  Returns:
    the pivot `Handler`

### getResponseHandler

    public Handler getResponseHandler()

  Description copied from interface: `TargetedChain`
  Returns the Response Handler.

  Specified by:
    `getResponseHandler` in interface `TargetedChain`
  Returns:
    the response `Handler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.